<template>
    <div class="content__leftAnalitika">
        <div class="user-controlLastTable">
            <div class="user-control__head animated fadeInUp">
                <div class="head-left">
                    <p class="text-id">#</p>
                    <p class="text-id">{{ $t('users.referrals.login') }}</p>
                </div>
                <div class="head-center">
                    <p class="text-id">{{ $t('users.referrals.registered') }}</p>
                </div>
                <div class="head-right">
                    <p class="text-id">{{ $t('users.referrals.profit') }}</p>
                </div>
            </div>
            <referral :user="user" :referral="referral" v-for="referral in referrals" :key="referral.id"/>
        </div>
    </div>
</template>

<script>
	import {mapGetters} from "vuex";
	import Referral from "../components/users/Referral";

    export default {
		name: "UserReferrals",
        props: ['id'],
        data(){
		    return {
                referrals: [],
                user: {
                    id: this.id
                }
            }
        },
        computed: {
            ...mapGetters([
                'axios'
            ]),
        },
        methods: {
		    loadUser(){
                return this.axios
                    .get(`users/${this.id}`)
                    .then(resp => resp.data)
                    .then(data => {
                        this.user = data;
                    });
            },
		    load(){
                this.axios
                    .get(`users/${this.id}/referrals`)
                    .then(resp => resp.data)
                    .then(data => {
                        this.referrals = data;
                    });
            },
        },
        mounted() {
		    this.loadUser().then(() => {
                this.load();
            });
        },
        components: {
		    Referral
        }
    }
</script>

<style scoped>
    .bottom__table{
        padding: 5px;
    }
</style>
